%-------------------------------------------------------------------------------------
% PURPOSE: Log-Likelihood of a multivariate normal sample
%-------------------------------------------------------------------------------------
%   Inputs:
%           - theta  = [var1;rho;var2] , vector (3,1) of var-covariance parameters
%           - Y: vector(T,2) of realisations
%  Output:  
%         -   lik = opposite of the log-likelihood
%-------------------------------------------------------------------------------------
% J. Leymarie, C. Hurlin. April 21, 2016.
% LEO, University of Orleans
%-------------------------------------------------------------------------------------

function lik=loglikelihood_normal(theta,Y)

S=[theta(1) sqrt(theta(1)*theta(3))*theta(2) ; sqrt(theta(1)*theta(3))*theta(2) theta(3)];

lik=-sum(log(mvnpdf(Y,0,S)));